Subject: Re: [Bitcoin-development] Seeking advice: Encouraging bug-fixing over new features

From: John Smith <[email-masked]>
Date: Wed, 27 Jul 2011 06:40:12 +0000

On Wed, Jul 27, 2011 at 1:31 AM, Gavin Andresen <[email-masked]>wrote:

> Anybody have advice on how to encourage more bug-fixing and testing of
> existing functionality instead of yet-more-features?

Make a list of bugs. Offer BTC bounties for fixing each one according to how
serious/difficult it is. They don't have to be high, just a few BTC. It'll
also help people get interested in the project and *current* source base
(instead of wanting to implement Yet Another Incomplete Client from
scratch).

Or we could do the same as the mozilla/chrome projects, offer bounties for
finding new security holes and serious bugs.

A policy like "that spiffy new feature you want won't be considered until
you've helped close some open bugs" won't work. This is open source, people
can just make their own fork with the spiffy new feature without fixing any
bugs.

JS